%global pkg_name odfdo

Name:           python-%{pkg_name}
Version:        3.0.1
Release:        1%{?dist}
Summary:        Python library for OpenDocument format (ODF)

License:        ASL 2.0
URL:            https://github.com/jdum/odfdo
Source0:        http://fedorapeople.org/~totol/odfdo-3.0.1.tar.gz
BuildArch:      noarch
 
%global _description\
odfdo is a Python3 library implementing the ISO/IEC 26300 OpenDocument Format standard. \
odfdo is a derivative work of the lpod-python project.

%description %_description

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:    %summary
BuildRequires:  python%{python3_pkgversion}-devel
Requires:  python%{python3_pkgversion}-lxml
Requires:  python%{python3_pkgversion}-pillow
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkg_name}}

%description -n python%{python3_pkgversion}-%{pkg_name}
%_description

%prep
%autosetup -p1 -n %{pkg_name}-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/%{pkg_name}-diff.py %{buildroot}%{_bindir}/%{pkg_name}-diff
mv %{buildroot}%{_bindir}/%{pkg_name}-folder.py %{buildroot}%{_bindir}/%{pkg_name}-folder
mv %{buildroot}%{_bindir}/%{pkg_name}-show.py %{buildroot}%{_bindir}/%{pkg_name}-show
mv %{buildroot}%{_bindir}/%{pkg_name}-styles.py %{buildroot}%{_bindir}/%{pkg_name}-styles

%files -n python%{python3_pkgversion}-%{pkg_name}
%doc README.md
%license
%{_bindir}/%{pkg_name}-*
%{python3_sitelib}/%{pkg_name}
%{python3_sitelib}/%{pkg_name}*.egg-info


%changelog
* Fri Oct 11 2019 Thomas Andrejak <thomas.andrejak@gmail.com> - 3.0.1-1
- Initial epel8 commit
